{
  lib,
  config,
  ...
}:
let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.marleyos.programs.ncmpcpp;
in
{
  options.marleyos.programs.ncmpcpp.enable = mkEnableOption "ncmpcpp";

  config = mkIf cfg.enable {
    programs.ncmpcpp.enable = true;
  };
}
