<!-- markdownlint-disable MD033 MD041 -->
<div align="center">
  <!-- markdownlint-disable-next-line MD013 -->
  <img width="200" src="./assets/lesbian-nix.svg" alt="The Nix logo recolored with the colors of the lesbian flag.">
  <h1>marleyOS</h1>
  <a href="https://codewith.babesonthe.net/punkfairie/nix/commits/branch/main">
    <img alt="Last Commit" src="https://img.shields.io/gitea/last-commit/punkfairie/nix?gitea_url=https%3A%2F%2Fcodewith.babesonthe.net&style=for-the-badge&logo=git&logoColor=d362a4&label=updated&color=d362a4">
  </a>
  <a href="https://lix.systems/">
    <img alt="Built With" src="https://img.shields.io/badge/built_with-lix-ff9a56?style=for-the-badge&logo=nixos&logoColor=ff9a56">
  </a>
  <br><br>
  <p>My dotfiles.</p>
</div>

## 🩷 About

This is my personal system configuration. You are welcome to use it, but I
wouldn't advise doing so. It's written to be publicly accessible but not
publicly released, therefore things are likely to break.

## 🥚 Inputs

- [Snowfall Lib](https://snowfall.org/guides/lib/quickstart/)
- [Home Manager](https://nix-community.github.io/home-manager/)
- [Rose Pine](https://codewith.babesonthe.net/punkfairie/rose-pine-nix)

## 🐣 Outputs

- `homes`: Home manager config
  - `homes/<system>/marley@nyx`: My main desktop. Currently running Arch Linux
    but will be switched to NixOS once I've finished migrating my dotfiles.
- `modules`: Most config is done here. The file structure is pretty
  self-explanatory.
  - `modules/{home,nixos,darwin}/base`: Anything in a base folder directly under
    a platform folder is always enabled and does not include a `<module>.enable`
    option.
    - `modules/{home,nixos,darwin}/<category>/base`: These are not subject to the
      above, they simply denote options that apply to the whole category.
- `packages`
  - `packages/figlet-xero-fonts`: Adding in [xero's custom fonts](https://github.com/xero/figlet-fonts/).

## 🫶 Credits

- [jakehamilton/config](https://github.com/jakehamilton/config)
- [the nix logo used in this readme](https://lix.systems/)
